#!/bin/sh

PATH=$PATH:/opt/bin
export PATH

export EPGFILE="/tmp/epg.xml"
export MYSTUFFFILE="/tmp/MyStuff.mei"
export DEFAULTLCN="lcnfile_se_boxer.conf"
export DAYS="7"

#if [ ! -f ${EPGFILE} ]; then
#    echo "xml-file from xmltv doesn't exist. Try to download it with xmltv."
#    tv_grab_se_swedb --days ${DAYS} --output ${EPGFILE}
#else
#    echo "Warning: ${EPGFILE} exists. Delete it if you want to download new EPG-information."
#fi

#if [ ! -f ${EPGFILE} ]; then
#    echo "Error: xmltv failed to create xml-file"
#    exit 0
#fi

export LCNFILE=""
if [ -f "${DEFAULTLCN}" ]; then
    LCNFILE="${DEFAULTLCN}"
elif [ -f ../config/${DEFAULTLCN} ]; then
    LCNFILE="../config/${DEFAULTLCN}"
elif [ -f /etc/xmltv2mei/${DEFAULTLCN} ]; then
    LCNFILE="/etc/xmltv2mei/${DEFAULTLCN}"
elif [ -f /usr/local/etc/xmltv2mei/${DEFAULTLCN} ]; then
    LCNFILE="/usr/local/etc/xmltv2mei/${DEFAULTLCN}"
elif [ -f /opt/etc/xmltv2mei/${DEFAULTLCN} ]; then
    LCNFILE="/opt/etc/xmltv2mei/${DEFAULTLCN}"
else
    echo "Error: Couldn't find any LCN-file."
    exit 0
fi

echo "Start xmltv2mei with LCN-file ${LCNFILE}"

# warn when unknown characters are detected (-w)
#xmltv2mei -w -c -t -i "${EPGFILE}" -l "${LCNFILE}" -o "${MYSTUFFFILE}"
xmltv2mei -w -c -t -x ${DAYS} -l "${LCNFILE}" -o "${MYSTUFFFILE}"

if [ -f "${MYSTUFFFILE}" ]; then
    echo "${MYSTUFFFILE} generated"
    ls -l "${MYSTUFFFILE}"
else
    echo "Error: xmltv2mei failed to generate ${MYSTUFFFILE}"
fi

